<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: TIMER_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">TIMER_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a48abedbfa535d900d5b544d8bcf2edf6"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a></td></tr>
<tr class="separator:a48abedbfa535d900d5b544d8bcf2edf6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a260d35c1f89bbc056b6e99f30fae83e0"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#a260d35c1f89bbc056b6e99f30fae83e0">TCMPR</a></td></tr>
<tr class="separator:a260d35c1f89bbc056b6e99f30fae83e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad024448a606c2214c11475426fb23d35"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TISR</a></td></tr>
<tr class="separator:ad024448a606c2214c11475426fb23d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd319497c0455130b863e99e93a9f95"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#aefd319497c0455130b863e99e93a9f95">TDR</a></td></tr>
<tr class="separator:aefd319497c0455130b863e99e93a9f95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a318a005634055ef475a9a49ca8689a6c"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#a318a005634055ef475a9a49ca8689a6c">TCAP</a></td></tr>
<tr class="separator:a318a005634055ef475a9a49ca8689a6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c442e179e902bc7610b995bf3336041"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a></td></tr>
<tr class="separator:a2c442e179e902bc7610b995bf3336041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acccdb5f192f04f6cc1624399c77c4fa7"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_t_i_m_e_r___t.html#acccdb5f192f04f6cc1624399c77c4fa7">TEXISR</a></td></tr>
<tr class="separator:acccdb5f192f04f6cc1624399c77c4fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup TMR Timer Controller(TMR)
Memory Mapped Structure for TMR Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08097">8097</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a318a005634055ef475a9a49ca8689a6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a318a005634055ef475a9a49ca8689a6c">&#9670;&nbsp;</a></span>TCAP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TCAP</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TCAP
</font><br><p> <font size="2">
Offset: 0x10  Timer Capture Data Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[23:0]</td><td>TCAP</td><td><div style="word-wrap: break-word;"><b>Timer Capture Data Register
</b><br>
When TEXIF flag is set to 1, the current TDR value will be auto-loaded into this TCAP filed immediately.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08460">8460</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a260d35c1f89bbc056b6e99f30fae83e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a260d35c1f89bbc056b6e99f30fae83e0">&#9670;&nbsp;</a></span>TCMPR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TCMPR</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TCMPR
</font><br><p> <font size="2">
Offset: 0x04  Timer Compare Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[23:0]</td><td>TCMP</td><td><div style="word-wrap: break-word;"><b>Timer Compared Value
</b><br>
TCMP is a 24-bit compared value register.
<br>
When the internal 24-bit up counter value is equal to TCMP value, the TIF flag will set to 1.
<br>
Time-out period = (Period of Timer clock source) * (8-bit PRESCALE + 1) * (24-bit TCMP).
<br>
Note1: Never write 0x0 or 0x1 in TCMP field, or the core will run into unknown state.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08457">8457</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a48abedbfa535d900d5b544d8bcf2edf6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48abedbfa535d900d5b544d8bcf2edf6">&#9670;&nbsp;</a></span>TCSR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TCSR</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TCSR
</font><br><p> <font size="2">
Offset: 0x00  Timer Control and Status Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[7:0]</td><td>PRESCALE</td><td><div style="word-wrap: break-word;"><b>Prescale Counter
</b><br>
Timer input clock source is divided by (PRESCALE+1) before it is fed to the Timer up counter.
<br>
If this field is 0 (PRESCALE = 0), then there is no scaling.
<br>
</div></td></tr><tr><td>
[16]</td><td>TDR_EN</td><td><div style="word-wrap: break-word;"><b>Data Load Enable Control
</b><br>
When TDR_EN is set, TDR (Timer Data Register) will be updated continuously with the 24-bit up-timer value as the timer is counting.
<br>
0 = Timer Data Register update Disabled.
<br>
1 = Timer Data Register update Enabled while Timer counter is active.
<br>
</div></td></tr><tr><td>
[17]</td><td>PERIODIC_SEL</td><td><div style="word-wrap: break-word;"><b>Periodic Mode Behavior Selection
</b><br>
0 = In One-shot or Periodic mode, when write new TCMP, timer counter will reset.
<br>
1 = In One-shot or Periodic mode, when write new TCMP if new TCMP > TDR(current counter) , timer counter keep counting and will not reset.
<br>
If new TCMP <= TDR(current counter) , timer counter will reset.
<br>
</div></td></tr><tr><td>
[18]</td><td>TOUT_PIN</td><td><div style="word-wrap: break-word;"><b>Toggle Out Pin Selection
</b><br>
When Timer is set to toggle mode,
<br>
0 = Time0/1 toggle output pin is T0/T1 pin.
<br>
1 = Time0/1 toggle output pin is T0EX/T1EX pin.
<br>
</div></td></tr><tr><td>
[19]</td><td>CAP_SRC</td><td><div style="word-wrap: break-word;"><b>Capture Pin Source Selection
</b><br>
0 = Capture Function source is from TxEX pin.
<br>
1 = Capture Function source is from ACMPx output signal.
<br>
</div></td></tr><tr><td>
[23]</td><td>WAKE_EN</td><td><div style="word-wrap: break-word;"><b>Wake-up Enable Control
</b><br>
When WAKE_EN (UA_IER[6]) is set and the TIF or TEXIF (TEXISR[0]) is set, the timer controller will generator a wake-up trigger event to CPU.
<br>
0 = Wake-up trigger event Disabled.
<br>
1 = Wake-up trigger event Enabled.
<br>
</div></td></tr><tr><td>
[24]</td><td>CTB</td><td><div style="word-wrap: break-word;"><b>Counter Mode Enable Control
</b><br>
This bit is for external counting pin function enabled.
<br>
When timer is used as an event counter, this bit should be set to 1 and select HCLK as timer clock source.
<br>
Please refer to section 6.12.5.3 for detail description.
<br>
0 = External event counter mode Disabled.
<br>
1 = External event counter mode Enabled.
<br>
</div></td></tr><tr><td>
[25]</td><td>CACT</td><td><div style="word-wrap: break-word;"><b>Timer Active Status (Read Only)
</b><br>
This bit indicates the 24-bit up counter status.
<br>
0 = 24-bit up counter is not active.
<br>
1 = 24-bit up counter is active.
<br>
</div></td></tr><tr><td>
[26]</td><td>CRST</td><td><div style="word-wrap: break-word;"><b>Timer Reset
</b><br>
0 = No effect.
<br>
1 = Reset 8-bit prescale counter, 24-bit up counter value and CEN bit if CACT is 1.
<br>
</div></td></tr><tr><td>
[28:27]</td><td>MODE</td><td><div style="word-wrap: break-word;"><b>Timer Operating Mode
</b><br>
00 = The timer is operating in the One-shot mode.
<br>
The associated interrupt signal is generated once (if IE is enabled) and CEN is automatically cleared by hardware.
<br>
01 = The timer is operating in Periodic mode.
<br>
The associated interrupt signal is generated periodically (if IE is enabled).
<br>
10 = The timer is operating in Toggle mode.
<br>
The interrupt signal is generated periodically (if   IE is enabled).
<br>
The associated signal (tout) is changing back and forth with 50% duty cycle.
<br>
11 = The timer is operating in Continuous Counting mode.
<br>
The associated interrupt signal is generated when TDR = TCMPR (if IE is enabled).
<br>
However, the 24-bit up-timer counts continuously.
<br>
Please refer to 6.12.5.2 for detailed description about Continuous Counting mode operation.
<br>
</div></td></tr><tr><td>
[29]</td><td>IE</td><td><div style="word-wrap: break-word;"><b>Interrupt Enable Control
</b><br>
0 = Timer Interrupt function Disabled.
<br>
1 = Timer Interrupt function Enabled.
<br>
If this bit is enabled, when the timer interrupt flag (TIF) is set to 1, the timer interrupt signal is generated and inform to CPU.
<br>
</div></td></tr><tr><td>
[30]</td><td>CEN</td><td><div style="word-wrap: break-word;"><b>Timer Enable Control
</b><br>
0 = Stops/Suspends counting.
<br>
1 = Starts counting.
<br>
Note1: In stop status, and then set CEN to 1 will enable the 24-bit up counter to keep  counting from the last stop counting value.
<br>
Note2: This bit is auto-cleared by hardware in one-shot mode (MODE (TCSRx[28:27]) = 00) when the timer interrupt flag (TIF) is generated.
<br>
</div></td></tr><tr><td>
[31]</td><td>DBGACK_TMR</td><td><div style="word-wrap: break-word;"><b>ICE Debug Mode Acknowledge Disable Control (Write Protect)
</b><br>
0 = ICE debug mode acknowledgement effects TIMER counting.
<br>
Timer counter will be held while CPU is held by ICE.
<br>
1 = ICE debug mode acknowledgement Disabled.
<br>
Timer counter will keep going no matter CPU is held by ICE or not.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08456">8456</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="aefd319497c0455130b863e99e93a9f95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefd319497c0455130b863e99e93a9f95">&#9670;&nbsp;</a></span>TDR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TDR</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TDR
</font><br><p> <font size="2">
Offset: 0x0C  Timer Data Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[23:0]</td><td>TDR</td><td><div style="word-wrap: break-word;"><b>Timer Data Register
</b><br>
If TDR_EN (TCSRx[16]) is set to 1, TDR register value will be updated continuously to monitor 24-bit up counter value.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08459">8459</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="a2c442e179e902bc7610b995bf3336041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c442e179e902bc7610b995bf3336041">&#9670;&nbsp;</a></span>TEXCON</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TEXCON</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TEXCON
</font><br><p> <font size="2">
Offset: 0x14  Timer External Control Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[0]</td><td>TX_PHASE</td><td><div style="word-wrap: break-word;"><b>Timer External Count Pin Phase Detect Selection
</b><br>
This bit indicates the detection phase of Tx (x = 0~1) pin.
<br>
0 = A falling edge of Tx (x = 0~1) pin will be counted.
<br>
1 = A rising edge of Tx (x = 0~1) pin will be counted.
<br>
</div></td></tr><tr><td>
[2:1]</td><td>TEX_EDGE</td><td><div style="word-wrap: break-word;"><b>Timer External Pin Edge Detection
</b><br>
00 = A 1 to 0 transition on TxEX (x = 0~1) will be detected.
<br>
01 = A 0 to 1 transition on TxEX (x = 0~1) will be detected.
<br>
10 = Either 1 to 0 or 0 to 1 transition on TxEX (x = 0~1) will be detected.
<br>
11 = Reserved.
<br>
</div></td></tr><tr><td>
[3]</td><td>TEXEN</td><td><div style="word-wrap: break-word;"><b>Timer External Pin Function Enable Control
</b><br>
This bit enables the RSTCAPSEL function on the TxEX (x = 0~1) pin.
<br>
0 = RSTCAPSEL function of TxEX (x = 0~1) pin will be ignored.
<br>
1 = RSTCAPSEL function of TxEX (x = 0~1) pin is active.
<br>
</div></td></tr><tr><td>
[4]</td><td>RSTCAPSEL</td><td><div style="word-wrap: break-word;"><b>Timer External Reset Counter / Timer External Capture Mode Selection
</b><br>
0 = Transition on TxEX (x = 0~1) pin is using to save the TDR value into TCAP value if TEXIF flag is set to 1.
<br>
1 = Transition on TxEX (x = 0~1) pin is using to reset the 24-bit up counter.
<br>
</div></td></tr><tr><td>
[5]</td><td>TEXIEN</td><td><div style="word-wrap: break-word;"><b>Timer External Capture Interrupt Enable Control
</b><br>
0 = TxEX (x = 0~1) pin detection Interrupt Disabled.
<br>
1 = TxEX (x = 0~1) pin detection Interrupt Enabled.
<br>
If TEXIEN enabled, Timer will raise an external capture interrupt signal and inform to CPU while TEXIF flag is set to 1.
<br>
</div></td></tr><tr><td>
[6]</td><td>TEXDB</td><td><div style="word-wrap: break-word;"><b>Timer External Capture Input Pin De-bounce Enable Control
</b><br>
0 = TxEX (x = 0~1) pin de-bounce Disabled.
<br>
1 = TxEX (x = 0~1) pin de-bounce Enabled.
<br>
If this bit is enabled, the edge detection of TxEX (x = 0~1) pin is detected with de-bounce circuit.
<br>
</div></td></tr><tr><td>
[7]</td><td>TCDB</td><td><div style="word-wrap: break-word;"><b>Timer External Counter Input Pin De-bounce Enable Control
</b><br>
0 = Tx (x = 0~1) pin de-bounce Disabled.
<br>
1 = Tx (x = 0~1) pin de-bounce Enabled.
<br>
If this bit is enabled, the edge detection of Tx (x = 0~1) pin is detected with de-bounce circuit.
<br>
</div></td></tr><tr><td>
[8]</td><td>CAP_MODE</td><td><div style="word-wrap: break-word;"><b>Capture Mode Selection
</b><br>
0 = Timer counter reset function or free-counting mode of timer capture function.
<br>
1 = Trigger-counting mode of timer capture function.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08461">8461</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="acccdb5f192f04f6cc1624399c77c4fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acccdb5f192f04f6cc1624399c77c4fa7">&#9670;&nbsp;</a></span>TEXISR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TEXISR</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TEXISR
</font><br><p> <font size="2">
Offset: 0x18  Timer External Interrupt Status Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[0]</td><td>TEXIF</td><td><div style="word-wrap: break-word;"><b>Timer External Interrupt Flag
</b><br>
This bit indicates the external capture interrupt flag status
<br>
When TEXEN enabled, TxEX (x = 0, 1) pin selected as external capture function, and a transition on TxEX (x = 0, 1) pin matched the TEX_EDGE setting, this flag will set to 1 by hardware.
<br>
0 = TxEX (x = 0, 1) pin interrupt did not occur.
<br>
1 = TxEX (x = 0, 1) pin interrupt occurred.
<br>
Note: This bit is cleared by writing 1 to it
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08462">8462</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ad024448a606c2214c11475426fb23d35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad024448a606c2214c11475426fb23d35">&#9670;&nbsp;</a></span>TISR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TIMER_T::TISR</td>
        </tr>
      </table>
</div><div class="memdoc">
<p> 

<html><table class="fixed" border="1" style="border-collapse:collapse;" borderColor=black ><col width="75px" /><col width="125px" /><col width="700px" /><caption align="left"><font size="3">TISR
</font><br><p> <font size="2">
Offset: 0x08  Timer Interrupt Status Register
</font></caption><thread><tr bgcolor="#8A0808" ><td><font color=white><b>Bits</b></font></td><td><font color=white><b>Field</b></font></td><td><font color=white><b>Descriptions</b></font></td></tr></thread><tbody>
<tr><td>
[0]</td><td>TIF</td><td><div style="word-wrap: break-word;"><b>Timer Interrupt Flag
</b><br>
This bit indicates the interrupt flag status of Timer while TDR value reaches to TCMP value.
<br>
0 = No effect.
<br>
1 = TDR value matches the TCMP value.
<br>
Note: This bit is cleared by writing 1 to it.
<br>
</div></td></tr><tr><td>
[1]</td><td>TWF</td><td><div style="word-wrap: break-word;"><b>Timer Wake-up Flag
</b><br>
This bit indicates the interrupt wake-up flag status of Time.
<br>
0 = Timer does not cause chip wake-up.
<br>
1 = Chip wake-up from Idle or Power-down mode if Timer time-out interrupt signal generated.
<br>
Note: This bit is cleared by writing 1 to it.
<br>
</div></td></tr></tbody></table></html>

 </p>

<p class="definition">Definition at line <a class="el" href="_mini51_series_8h_source.html#l08458">8458</a> of file <a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:45 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
